Public Class USU_ExperienciaBusinessObject
    Inherits BusinessObject(Of USU_Experiencia)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New USU_ExperienciaDbHelper
    End Sub

    Public Sub New(ByVal entity As USU_Experiencia)
        MyBase.New(entity)
        DbHelper = New USU_ExperienciaDbHelper
    End Sub

    Public Sub New(ByVal idExperiencia As Int32, Optional ByVal foreignLevel As Integer = 0)
        Me.New()
        _Entity.idExperiencia = idExperiencia
        Dim Entity_Aux As USU_Experiencia = DbHelper.SelectEntity(_Entity, foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As USU_ExperienciaBusinessObject
    Protected Shared Function GetDdHelperInstance() As USU_ExperienciaDbHelper
        If _Instance Is Nothing Then
            _Instance = New USU_ExperienciaBusinessObject
        End If
        Return CType(_Instance.DbHelper, USU_ExperienciaDbHelper)
    End Function

    Public Shared Function GetListUSU_Experiencia(Optional ByVal foreignLevel As Integer = 0) As EntityList(Of USU_Experiencia)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListUSU_ExperienciaBySEG_Usuarios(ByVal idUsuario As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of USU_Experiencia)
        Return GetDdHelperInstance.GetListUSU_ExperienciaBySEG_Usuarios(idUsuario, foreignLevel)
    End Function



#End Region
End Class
